utl::id_traits< _Tp, 0 > Struct Template Reference

`#include <id.h>`

## Classes

struct | type

## Static Public Member Functions

static constexpr _Tp & | Ref (const type &t, size_t n) noexcept
static constexpr _Tp * | Ptr (const type &t) noexcept

## Detailed Description

### template<typename _Tp>
struct utl::id_traits< _Tp, 0 >

Definition at line 51 of file id.h.

## Member Function Documentation

## Ptr()

template<typename _Tp >

static constexpr _Tp* utl::id_traits< _Tp, 0 >::Ptr | ( | const type & | t | ) |

inlinestaticnoexcept

Definition at line 58 of file id.h.

## Ref()

template<typename _Tp >

static constexpr _Tp& utl::id_traits< _Tp, 0 >::Ref | ( | const type & | t,
|  | size_t | n
| ) |  |

inlinestaticnoexcept

Definition at line 54 of file id.h.

The documentation for this struct was generated from the following file:

- include/utl/container/id.h